// 
// Copyright 2016 Agencia Estatal de Administración Tibutaria
//
// Licencia con arreglo a la EUPL, Versión 1.1 o -en cuanto
// sean aprobadas por la Comisión Europea- versiones
// posteriores de la EUPL (la «Licencia»);
// Solo podrá usarse esta obra si se respeta la Licencia.
// Puede obtenerse una copia de la Licencia en:
//  
// https://joinup.ec.europa.eu/software/page/eupl
//  
// Salvo cuando lo exija la legislación aplicable o se acuerde
// por escrito, el programa distribuido con arreglo a la
// Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
// DE NINGÚN TIPO, ni expresasni implícitas.
//
// Véase la Licencia en el idioma concreto que rige los permisos y 
// limitaciones que establece la Licencia.
// 

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace operador
{
    public partial class DlgOperadores : Form
    {
        public string mesa = "";
        public DlgOperadores() {
            InitializeComponent();
        }

        void ajustar() {
            int ancho = this.ClientRectangle.Width;
            int anchoB = ancho / 5;
            grid.Columns[0].Width = anchoB - 10;
            grid.Columns[1].Width = anchoB;
            grid.Columns[2].Width = (anchoB * 3);
            //   grid.Columns[2].DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight;
        }

        public void cargar(string valores) {
            string[] lineas = valores.Split('#');
            Object[] data = new Object[3];
            foreach (string s in lineas) {
                if (s != null && s != "") {
                    string[] par = s.Split('|');
                    data[0] = par[0];
                    data[1] = par[1];
                    data[2] = par[2];
                    grid.Rows.Add(data);
                }
            }
        }

        private void DlgOperadores_Shown(object sender, EventArgs e) {
            ajustar();
        }

        private void button1_Click(object sender, EventArgs e) {
            Close();
        }

        private void bMesa_Click(object sender, EventArgs e) {
            confirmarMesa();
        }

        void confirmarMesa() {
            int sele = grid.Rows.GetRowCount(DataGridViewElementStates.Selected);
            if (sele < 1) {
                MessageBox.Show("No se ha selecionado operador");
                return;
            }
            mesa = grid.SelectedRows[0].Cells[0].Value.ToString();
            if (mesa == "0") mesa = "";
            Close();
        }

    }
}